<?php
/**
 * DocumentTypeController.php.
 *
 * Created By: jonathan
 * Date: 15/10/2020
 * Time: 12:59
 */

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Http\Requests\MeasureRequest;
use App\Models\Measure;
use App\Models\User;
use Illuminate\Support\Facades\Auth;

class MeasuresController extends Controller
{
    public function all()
    {
        return Measure::all();
    }

    public function save(MeasureRequest $request, $id = null)
    {
        $authUser = Auth::user();
        $isAdmin = $authUser && ($authUser->role <= User::ROLE_MANAGER);

        if ($isAdmin) {
            if ($id) {
                $measure = Measure::find((int) $id);
            } else {
                $measure = new Measure();
            }
            if (!$measure) {
                abort(404);
            }

            // Update or create user
            $data = $request->validated();

            $measure->name = $data['name'];
            $measure->short_name = $data['short_name'];
            $measure->efficiency = $data['efficiency'] ?? null;
            for ($i = 1; $i < 4; ++$i) {
                $title = 'level' . $i . '_title';
                $measure->$title = $data[$title];
                $description = 'level' . $i . '_description';
                $measure->$description = $data[$description] ?? null;
                $info = 'level' . $i . '_info';
                $measure->$info = $data[$info] ?? null;
                $difficulty = 'level' . $i . '_difficulty';
                $measure->$difficulty = $data[$difficulty] ?? null;
                $cost = 'level' . $i . '_cost';
                $measure->$cost = $data[$cost] ?? null;
                $duration = 'level' . $i . '_duration';
                $measure->$duration = $data[$duration] ?? null;
                $assistance = 'level' . $i . '_assistance';
                $measure->$assistance = $data[$assistance] ?? null;
            }
            $measure->save();

            abort(204);
        }

        abort(403);
    }
}
