<?php

namespace Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;
use Illuminate\Support\Str;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\Measure>
 */
class MeasureFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition()
    {
        $n = $this->faker->text(50);

        return [
            'name' => $n,
            'short_name' => Str::slug($n),
            'efficiency' => $this->faker->randomElement(['efficacité', 'efficace', 'fonctionne']),
            'level1_title' => $this->faker->randomElement(['Niveau 1', 'Premier niveau']),
            'level1_description' => $this->faker->randomElement([$this->faker->text, null]),
            'level1_info' => $this->faker->randomElement([$this->faker->text, null]),
            'level1_difficulty' => $this->faker->numberBetween(0, 3),
            'level1_cost' => $this->faker->numberBetween(0, 30),
            'level1_duration' => $this->faker->numberBetween(0, 30),
            'level1_assistance' => $this->faker->numberBetween(0, 3),
            'level2_title' => $this->faker->randomElement(['Niveau 1', 'Premier niveau']),
            'level2_description' => $this->faker->randomElement([$this->faker->text, null]),
            'level2_info' => $this->faker->randomElement([$this->faker->text, null]),
            'level2_difficulty' => $this->faker->numberBetween(0, 3),
            'level2_cost' => $this->faker->numberBetween(0, 30),
            'level2_duration' => $this->faker->numberBetween(0, 30),
            'level2_assistance' => $this->faker->numberBetween(0, 3),
            'level3_title' => $this->faker->randomElement(['Niveau 1', 'Premier niveau']),
            'level3_description' => $this->faker->randomElement([$this->faker->text, null]),
            'level3_info' => $this->faker->randomElement([$this->faker->text, null]),
            'level3_difficulty' => $this->faker->numberBetween(0, 3),
            'level3_cost' => $this->faker->numberBetween(0, 30),
            'level3_duration' => $this->faker->numberBetween(0, 30),
            'level3_assistance' => $this->faker->numberBetween(0, 3),
        ];
    }
}
