<?php

use App\Http\Controllers\Api\MeasuresController;
use App\Http\Controllers\Api\OrganizationsController;
use App\Http\Controllers\Api\UsersController;
use App\Http\Controllers\Auth\LoginController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::post('/impersonate', [LoginController::class, 'impersonate'])->name('api.impersonate');
Route::post('/leave', [LoginController::class, 'leaveImpersonation'])->name('api.leaveImpersonation');

Route::prefix('/users')->middleware('auth:sanctum')->group(function () {
    Route::get('/me', [UsersController::class, 'me'])->name('api.users.me');
    Route::get('/', [UsersController::class, 'all'])->name('api.users.all');
    Route::post('/', [UsersController::class, 'save'])->name('api.users.post');
    Route::put('/{id}', [UsersController::class, 'save'])->name('api.users.put');
    Route::delete('/{id}', [UsersController::class, 'delete'])->name('api.users.delete');
});
Route::prefix('/organizations')->middleware('auth:sanctum')->group(function () {
    Route::get('/', [OrganizationsController::class, 'all'])->name('api.organizations.all');
    Route::post('/', [OrganizationsController::class, 'save'])->name('api.organizations.post');
    Route::put('/{id}', [OrganizationsController::class, 'save'])->name('api.organizations.put');
    Route::delete('/{id}', [OrganizationsController::class, 'delete'])->name('api.organizations.delete');
});
Route::prefix('/measures')->middleware('auth:sanctum')->group(function () {
    Route::get('/', [MeasuresController::class, 'all'])->name('api.measures.all');
    Route::put('/{id}', [MeasuresController::class, 'save'])->name('api.measures.put');
    Route::get('/{id}', [MeasuresController::class, 'get'])->name('api.measures.get');
});
